/*
Nofelet telephone reverse search through http://www.das-oertliche.de/
Copyright (C) 2007 Stefan Lange-Hegermann

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License,
or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place,
Suite 330,
Boston, MA 02111-1307,
USA. 
*/

var req;
var globalNumber;
var rollerOpen=false;
var searchdone=false;

function setup()
{
	setupParts();
    return 1;
}

function processReqChange(result) {
	var ausdruck=/\"entry\">([^<]*)<\/a>/;
	var addrausdruck=/<\/div>([^,]*)(,([^<]*))?<br\/>\t/;
	if (!ausdruck.exec(result)) {
		var resultName=null;
		var resultAddr="";
	} else {
	var resultName=RegExp.$1;
	var maplink = document.getElementById("maplink");
	maplink.style.display="none";
	if (addrausdruck.exec(result)) {
		if (RegExp.$1 && RegExp.$3) {
			var strasse=RegExp.$1
			var stadt=RegExp.$3
			strasse=strasse.replace(/&nbsp;/g," ");
			stadt=stadt.replace(/&nbsp;/g," ");
			resultAddr=strasse+"<br>"+stadt;
			
			alert (resultAddr);
			var mapurl='javascript:widget.openURL("http://maps.google.com/maps?f=q&hl=de&q='+strasse+',+'+stadt+',+Germany");';
			
			
			maplink.style.display="inline";
			alert(mapurl);
			maplink.href=mapurl;
			
			
		} else if (RegExp.$1) {
			resultAddr=RegExp.$1;
		}
	} else {
		resultAddr="";
	}
	}
	if (!resultName) resultName="Nummer unbekannt";
	document.getElementById("name").innerHTML=resultName
	document.getElementById("address").innerHTML=resultAddr;
	document.getElementById("phone").innerHTML=globalNumber;
		
	if (!rollerOpen) {
		rollerOpen=true;
		window.resizeTo(315, 220);
		document.getElementById("roller").style.display="inline";
		window.setTimeout("fadeOpen(0)", 10);
	}
	searchdone=true;
}

function pulsePulse(state,goup) {
	if (!searchdone) {
		if (goup) {
			document.getElementById("pulse").style.opacity=state+0.05;
			if (state>0.5) {
				window.setTimeout("pulsePulse(0.6,false)", 100);
			} else {
				window.setTimeout("pulsePulse("+(state+0.05)+",true)", 100);
			}
		} else {
			document.getElementById("pulse").style.opacity=state-0.05;
			if (state<0.2) {
				window.setTimeout("pulsePulse(-0.1,true)", 100);
			} else {
				window.setTimeout("pulsePulse("+(state-0.05)+",false)", 100);
			}
		}
	} else {
		document.getElementById("pulse").style.opacity=0;
	}
}

function getNumber(number) {
	searchdone=false;
	//srchstring="kw_invers="+number+"&main=Antwort&AKTION=START_SUCHE&SEITE=INVERSSUCHE&rg=1&s=2";
	var srchstring='form_name=search_inv&la=de&page=5&context=4&action=43&buc=&ph='+number
	microAjax("http://www.dasoertliche.de/Controller",processReqChange,srchstring);
	
	pulsePulse(0,true);
}

function fadeOpen(alpha) {
	newAlpha=alpha+0.05;
	document.getElementById("roller").style.opacity=newAlpha;
	if (newAlpha<1) {
		window.setTimeout("fadeOpen("+newAlpha+")", 10);
		
	} else {

	}
}

function fadeClose(alpha) {
	newAlpha=alpha-0.05;
	document.getElementById("roller").style.opacity=newAlpha;
	if (newAlpha>0) {
		window.setTimeout("fadeClose("+newAlpha+")", 10);
	} else {
		window.resizeTo(315, 55);
		document.getElementById("roller").style.display="none";
	}
}

function noFindNumber(phonenumber)
{
	globalNumber=phonenumber;
	if (phonenumber!="") {
		getNumber(phonenumber);
	} else {
		window.setTimeout("fadeClose(1)", 10);
		searchdone=true;
		rollerOpen=false;
	}
}

function showBack(event)
{
	// your widget needs to show the back
	searchdone=true;
	rollerOpen=false;
	document.getElementById("roller").style.display="none";
	
	window.resizeTo(315, 150);
	var front = document.getElementById("front");
	var back = document.getElementById("back");

	if (window.widget)
		widget.prepareForTransition("ToBack");

	front.style.display="none";
	back.style.display="block";
	
	if (window.widget)
		setTimeout('widget.performTransition();', 0);
}

function showFront(event)
{
	// your widget needs to show the front
	var front = document.getElementById("front");
	var back = document.getElementById("back");

	if (window.widget)
		widget.prepareForTransition("ToFront");

	front.style.display="block";
	back.style.display="none";
	
	window.resizeTo(315, 55);
	
	if (window.widget)
		setTimeout('widget.performTransition();', 0);
}